This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 112777 - Request for modification to default console.perms for entry "<dri>"
Request for modification to default console.perms for entry "<dri>"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
http://bugzilla.livna.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-31 12:07 EST by Keith G. Robertson-Turner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: pam-0.78-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 08:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Keith G. Robertson-Turner 2003-12-31 12:07:21 EST
From Bugzilla Helper:
User-Agent: Opera/7.22 (X11; Linux i686; U)  [en]

Description of problem:
Although similar to bug #53447, I believe this is a more correct 
solution to a problem involving the perms set by pam for the 
component dri, where the NVidia driver is installed. It may or may 
not be a bug upstream, but I don't see any critical issues with the 
following:

Please change:

<xconsole> 0600 <dri>        0600 root

to

<console> 0600 <dri>        0600 root

Which will prevent glx lockouts in cases where non-root users login 
at runlevel 3.

However, I am still unclear as to whether <xconsole> will inherit 
<console> in cases where users still login using gdm at runlevel 5, 
so perhaps the line should be appended rather than changed?

Version-Release number of selected component (if applicable):
0.77-15

How reproducible:
Always

Steps to Reproduce:
1. Clean install any version of the NVidia glx driver
2. Log in as non-root at runlevel 3, then startx
3. Attempt to launch any libGL dependant application


Actual Results:  Either "permission denied" or hard lock/freeze of 
current display.

Expected Results:  glx successfully activated on current display.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.